0

I have a TP-LINK TD-W8151N 150Mbps Wireless N ADSL2+ Modem Router. Is this model vulnerable to KRACK? It is not specified in the WPA2 Security (KRACKs) Vulnerability Statement. Will TP-Link publish firmware updates for this model?

  • 1
    Wow this is specific, why don't you use TP-Link forum for this question instead? – Azteca Oct 20 '17 at 21:31
2

I can neither see support for 802.11r (fast roaming) nor support for repeater mode in the specification. Based on this the AP is probably not affected but probably only the vendor itself can you the ultimate answer about it. See also the statement of TP-Link regarding a specific type of routers and use case which is part of the vulnerability statment you've linked to:

Unaffected TP-Link products:
...
Routers and gateways working in their default mode (Router Mode) and AP Mode

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.